Skip to main content
GET
/
users
/
list
List users
curl --request GET \
  --url https://api.pcxpay.com/v1/users/list
{
  "users": [
    {
      "user_id": "<string>",
      "email": "jsmith@example.com",
      "fname": "<string>",
      "lname": "<string>",
      "date_of_birth": "<string>",
      "cognito_username": "<string>",
      "bridge_customer_id": "<string>",
      "kyc_submitted_at": "<string>",
      "kyc_approved_at": "<string>",
      "kyc_failure_reason": "<string>",
      "role": "admin",
      "status": "active",
      "type": "internal-admin",
      "created_by": "<string>",
      "org_id": "<string>",
      "org_ids": [
        "<string>"
      ],
      "phone_number": "<string>",
      "address": "<string>",
      "country": "<string>",
      "id_type": "passport",
      "id_number": "<string>",
      "additional_id_type": "passport",
      "additional_id_number": "<string>",
      "kyc_session_id": "<string>",
      "kyc_status": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  ],
  "count": 123,
  "total": 123,
  "last_evaluated_key": "<string>"
}

Query Parameters

org_id
string
status
enum<string>
Available options:
active,
rejected,
not_verified,
pending_verification,
pending,
sandbox,
inactive
role
enum<string>
Available options:
admin,
super-admin,
retail,
freelancer,
org-staff
type
enum<string>
Available options:
internal-admin,
org-admin,
merchant,
user,
staff
limit
integer
default:10
last_evaluated_key
string

Base64-encoded DynamoDB pagination token from a previous response.

Response

User list

users
object[]
count
integer
total
integer
last_evaluated_key
string | null

Base64-encoded pagination token; null if no more pages.